Name:           oidentd
Version:        3.1.0
Release:        %mkrel 2
Summary:        Ident server with masquerading support
License:        GPLv2
Group:          System/Servers
URL:            https://oidentd.janikrabe.com/
Source0:	https://files.janikrabe.com/pub/%{name}/releases/%{version}/%{name}-%{version}.tar.gz
Source2:        %{name}.users
Source3:        %{name}.sysconfig
Source5:        %{name}.service
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  pkgconfig(libnetfilter_conntrack)
BuildRequires:  pkgconfig(libcap-ng)

Provides:       identd
Requires(pre):  rpm-helper
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(postun): rpm-helper

%description
Oidentd is an ident (rfc1413) daemon that runs on Linux, FreeBSD,
OpenBSD and Solaris 2.x. Oidentd supports most features of pidentd
plus more. Most notably, oidentd allows users to specify the identd
response that the server will output when a successful lookup is
completed. Oidentd supports IP masqueraded connections on Linux, and
is able to forward requests to hosts that masq through the host on
which oidentd runs.


%prep
%setup -q

%build
%configure CFLAGS="%optflags -std=gnu89"
%make_build

%install
%make_install

%{__mkdir_p} %{buildroot}%{_sysconfdir}/sysconfig
%{__cp} -a %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%{__cp} -a %{SOURCE2} %{buildroot}%{_sysconfdir}/%{name}_masq.conf
install -m644 %{name}.conf %{buildroot}%{_sysconfdir}/%{name}.conf
%{__mkdir_p} %{buildroot}%{_localstatedir}/lib/%{name}

install -d -m 755 %{buildroot}%{_unitdir}
install -m 644 %{SOURCE5} %{buildroot}%{_unitdir}/%{name}.service


%pre
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /bin/true

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%license COPYING COPYING.DOC
%doc AUTHORS NEWS README ChangeLog
%config(noreplace) %{_sysconfdir}/%{name}_masq.conf
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sbindir}/%{name}
%{_mandir}/man5/%{name}*
%{_mandir}/man8/%{name}*
%{_unitdir}/%{name}.service
%dir %{_localstatedir}/lib/%{name}


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 3.1.0-2.mga10
+ Revision: 2218031
- Mageia 10 Mass Rebuild

* Sat Mar 11 2023 solbu <solbu> 3.1.0-1.mga9
+ Revision: 1948615
- New release: 3.1.0

* Sat Mar 26 2022 umeabot <umeabot> 3.0.0-2.mga9
+ Revision: 1827966
- Mageia 9 Mass Rebuild

* Mon Aug 16 2021 solbu <solbu> 3.0.0-1.mga9
+ Revision: 1741572
- New release: 3.0.0

* Sat May 01 2021 solbu <solbu> 2.5.1-1.mga9
+ Revision: 1720749
- New release: 2.5.1

* Thu Apr 16 2020 solbu <solbu> 2.5.0-1.mga8
+ Revision: 1567861
- New release: 2.5.0

* Sat Feb 15 2020 umeabot <umeabot> 2.4.0-2.mga8
+ Revision: 1528166
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Mon Aug 12 2019 solbu <solbu> 2.4.0-1.mga8
+ Revision: 1428893
- «doc/rfc1413» removed from release tarballs
- New version: 2.4.0
  Update Source URL

* Fri Jan 11 2019 solbu <solbu> 2.3.2-1.mga7
+ Revision: 1354898
- New version: 2.3.2

* Sun Sep 23 2018 umeabot <umeabot> 2.3.1-2.mga7
+ Revision: 1299964
- Mageia 7 Mass Rebuild

* Wed Jun 13 2018 solbu <solbu> 2.3.1-1.mga7
+ Revision: 1236704
- New release: 2.3.1

* Sat Mar 31 2018 solbu <solbu> 2.2.3-1.mga7
+ Revision: 1213900
- New release: 2.2.3
- Fix license tag. The code is GPLv2 only

* Sun Mar 18 2018 solbu <solbu> 2.2.2-1.mga7
+ Revision: 1210334
- New release: 2.2.2
- Drop Source4: merged upstream

* Tue Feb 20 2018 solbu <solbu> 2.2.1-1.mga7
+ Revision: 1203582
- New release: 2.2.1

* Mon Feb 19 2018 solbu <solbu> 2.2.0-1.mga7
+ Revision: 1203242
- Use «force hide» instead of «force reply unknown» for root example
- New release: 2.2.0

* Sun Apr 23 2017 solbu <solbu> 2.1.0-1.mga6
+ Revision: 1097115
- New version: 2.1.0
- New upstream URL

* Tue Feb 16 2016 umeabot <umeabot> 2.0.8-11.mga6
+ Revision: 961817
- Mageia 6 Mass Rebuild

* Fri Oct 30 2015 blino <blino> 2.0.8-10.mga6
+ Revision: 896603
- add -std=gnu89 to CFLAGS to fix build with gcc5 (for randval inline)

* Wed Oct 15 2014 umeabot <umeabot> 2.0.8-9.mga5
+ Revision: 744037
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.8-8.mga5
+ Revision: 683168
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.8-7.mga4
+ Revision: 508613
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.0.8-6.mga3
+ Revision: 361819
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 19 2012 solbu <solbu> 2.0.8-5.mga3
+ Revision: 319613
- Import oidentd
- Spec cleanup
- Fix License tag
- Add systemd support
- Drop sysvinit script


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.0.8-4mdv2010.0
+ Revision: 430197
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.8-3mdv2009.0
+ Revision: 254402
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Nov 10 2007 David Walluck <walluck@mandriva.org> 2.0.8-1mdv2008.1
+ Revision: 107348
- really add missing sources
- 2.0.8
- fix Requires syntax
- bunzip all sources
- add missing sources

  + Nicolas Vigier <nvigier@mandriva.com>
    - Import oidentd



* Mon Jan  9 2006 Olivier Blin <oblin@mandriva.com> 2.0.7-9mdk
- proper use of mkrel
- fix typo in initscript

* Mon Jan  9 2006 Olivier Blin <oblin@mandriva.com> 2.0.7-8mdk
- convert parallel init to LSB

* Tue Jan 03 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.7-7mdk
- add parallel init support
- get rid of 3mdk's changelog #2

* Mon Dec 12 2005 Olivier Blin <oblin@mandriva.com> 2.0.7-6mdk
- merge back changelog from current 3mdk

* Mon Oct 10 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.7-3mdk
- fix requires
- fix executable-marked-as-config-file
- %%mkrel

* Mon Oct 10 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.7-5mdk
- rebuild

* Wed Mar 02 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0.7-4mdk
- add GFDL as license
- add to rfc1413 %%doc

* Wed Mar 02 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0.7-3mdk
- fix parsing of new ip_conntrack format (P0 from debian)
- drop redundant requires
- fix executable-marked-as-config-file
- cosmetics
- convert changelog to utf-8

* Thu Aug 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.7-2mdk
- rebuild

* Wed Jul 30 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.0.7-1mdk
- 2.0.7

* Mon Jul 07 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.0.6-1mdk
- 2.0.6

* Tue Feb 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.0.5-1mdk
- 2.0.5

* Wed Nov 27 2002 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.0.4-6mdk
- Cleanups
- Fixed init script
- Fix config files

* Mon Oct 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.0.4-5mdk
- from Per Øyvind Karlsen <peroyvind@delonic.no> :
	- Cleaned up initscript
	- Fixed permissions

* Mon Oct 14 2002 Per Øyvind Karlsen <peroyvind@delonic.no> 2.0.4-4mdk
- Added own user and group

* Mon Oct 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.0.4-3mdk
- from Per Øyvind Karlsen <peroyvind@delonic.no> :
	- Fixed SysV init script
	- Fixed group

* Wed Sep 25 2002 Per Øyvind Karlsen <peroyvind@delonic.no> 2.0.4-2mdk
- Fixed %%post_service and %%preun_service
- Cleanups

* Wed Sep 25 2002 Per Øyvind Karlsen <peroyvind@delonic.no> 2.0.4-1dlc
- Initial release, spec file adopted from PLD
